%global libname wokkel
Name:           python-%{libname}
Version:        0.7.1
Release:        2%{?dist}
Summary:        Enhancements to the Twisted XMPP protocol implementation

Group:          Development/Languages
License:        MIT
URL:            http://wokkel.ik.nu
Source0:        http://wokkel.ik.nu/releases/%{version}/%{libname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools, python-twisted-words, python-twisted-names
Requires:       python-twisted-words, python-twisted-names

%description
Wokkel is collection of enhancements on top of the Twisted networking
framework, written in Python. It mostly provides a testing ground
for enhancements to the Jabber/XMPP protocol implementation as found
in Twisted Words, that are meant to eventually move there.

Currently, Wokkel provides the following enhancements
on top of Twisted Words:

* A mechanism for easier implementation of XMPP Enhancement Protocols (XEPs)
  as so-called subprotocols.
* XMPP Client and server-side component support, that eases development
  and supports subprotocols.
* Subprotocol implementations for:
  o Generic presence, roster and message handling.
  o Service Discovery (XEP-0030), service side.
  o Publish-Subscribe (XEP-0060), client and service side.
  o Software Version (XEP-0092), service side. 
* Data format implementations for:
  o Data Forms (XEP-0004)
  o User Tune (XEP-0118)
  o User Mood (XEP-0107) 


%prep
%setup -q -n %{libname}-%{version}


%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

%check
PYTHONPATH=`pwd` %{__python} wokkel/test/test_*.py
 

%files
%defattr(-,root,root,-)
%doc LICENSE NEWS README doc/examples
%{python_sitelib}/%{libname}
%{python_sitelib}/%{libname}-%{version}-py*.egg-info
%{python_sitelib}/twisted/plugins/server.py*

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Sep 13 2013 Jon Ciesla <limburgher@gmail.com> - 0.7.1-1
- New upstream.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Apr 02 2012 Jon Ciesla <limburgher@gmail.com> - 0.7.0-1
- New upstream.
- Removed spurious debuginfo disabling.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Toshio Kuratomi <toshio@fedoraproject.org> 0.6.3-4
- Add PYTHONPATH to invokation of the tests

* Fri Jul 30 2010 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.6.3-3
- Run tests with python instead of trial
- Remove obsolete macros

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Sep 18 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.6.3-1
- Upstream released new version

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> - 0.6.2-1
- Upstream released new version

* Wed May 13 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> - 0.6.0-1
- Upstream released new version

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 22 2009 Ruben Kerkhof <ruben@rubenkerkhof.com> 0.4.0-1
- Initial import

